Subject: Re: ?????: [PATCH 10/10] ieee802154: add at86rf230/rf231 spi driver

From: Jonathan Cameron <[email-masked]>
Date: Tue, 02 Jun 2009 09:29:42 +0000

Maxim Osipov wrote:
> Hi Marcel,
> 
> On Tue, Jun 2, 2009 at 12:36 PM, Marcel Holtmann <[email-masked]> wrote:
>>> For Bluetooth naming directories 'bluetooth' is logical, as 802.15.1
>>> standard is a less known name, doesn't incorporate latest changes
>>> from Bluetooth, etc.
>> and so is IEEE 802.15.4 hence we propose using "zigbee" here. Using the
>> mac80211 has historical reasons and 802.11 is a known name and even used
>> on product marketing material. IEEE 802.15.4 is not. We are also using
>> the term "wimax" and not its IEEE numbering.
> 
> Actually, ieee802154 is better in this case, because as Dmitry
> mentioned, an entire family of standards is implemented on the top of
> it, including:
> 
> - ZigBee
> - 6LoWPAN
> - ISA100.11a
> - WirelessHART
>  - and probably something I don't know about
I'll tack on tosmac (the tinyos protocol).
The platforms I support have out of kernel support for a cc2420 (802.15.4) radio
using that protocol. In the embedded sensors field it seems to be
pretty common to use linux nodes as gateways to systems running various realtime
/ light weight OSes.

As Maxim stated there are a lot of protocols out there.

Thank you to Dmitry and co for your work on this project, I'll be following
your progress with interest (and when I have a sec adding support for the cc2420
if no one else does it first ;)

---
Jonathan Cameron